## filepp 1.7.1

=== tests/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - testsuite
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.3 $
#  Last changed :  $Date: 2003/07/14 10:03:20 $
#  Description  :  Makefile for bigdef module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
# top level of test build directory
TESTBUILD = ..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr

.PHONY: test
test:
	@$(ECHO) ----------- Testing macro prefixes --------
	$(TESTFILEPP) -mp \' $(srcdir)/test-mp -o test-mp.out
	$(DIFF) $(srcdir)/test-mp.good test-mp.out
	$(TESTFILEPP) -mp \' $(srcdir)/test-mp -mpnk -o test-mpnk.out
	$(DIFF) $(srcdir)/test-mpnk.good test-mpnk.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing macros with variable args --
	$(TESTFILEPP) $(srcdir)/test-varargs -o test-varargs.out
	$(DIFF) $(srcdir)/test-varargs.good test-varargs.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing if --------------------
	$(TESTFILEPP) $(srcdir)/test-if -o test-if.out
	$(DIFF) $(srcdir)/test-if.good test-if.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing ifwords ---------------
	$(TESTFILEPP) -m $(srcdir)/ifwords.pm $(srcdir)/test-ifwords -o test-ifwords.out
	$(DIFF) $(srcdir)/test-ifwords.good test-ifwords.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing recursive macros ------
	@$(ECHO) - Should give warning about recursive macros -
	$(TESTFILEPP) $(srcdir)/test-loop -o test-loop.out
	$(DIFF) $(srcdir)/test-loop.good test-loop.out
	$(TESTFILEPP) -w $(srcdir)/test-loop -o test-loopwb.out
	$(DIFF) $(srcdir)/test-loopwb.good test-loopwb.out
	$(TESTFILEPP) $(srcdir)/test-loop2 -o test-loop2.out
	$(DIFF) $(srcdir)/test-loop2.good test-loop2.out
	$(TESTFILEPP) -w $(srcdir)/test-loop2 -o test-loop2wb.out
	$(DIFF) $(srcdir)/test-loop2wb.good test-loop2wb.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing non-ascii chars -------
	$(TESTFILEPP) $(srcdir)/test-pound -o test-pound.out
	$(DIFF) $(srcdir)/test-pound.good test-pound.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing blank line suppression --
	$(TESTFILEPP) $(srcdir)/test-suppress -o test-suppress.out
	$(DIFF) $(srcdir)/test-suppress.good test-suppress.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing SetEatTrail -----------
	$(TESTFILEPP) $(srcdir)/test-trail -o test-trail.out
	$(DIFF) $(srcdir)/test-trail.good test-trail.out
	@$(ECHO) ----------- Done --------------------------

clean:
	$(RM) *.out *~

distclean: clean
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/bigdef/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - bigdef module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.3 $
#  Last changed :  $Date: 2003/07/14 10:03:15 $
#  Description  :  Makefile for bigdef module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing bigdef.pm -------------
	$(TESTFILEPP) -m bigdef.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/bigdef.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/bigfunc/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - bigfunc module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:16 $
#  Description  :  Makefile for bigfunc module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing bigfunc.pm ------------
	$(TESTFILEPP) -m bigfunc.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/bigfunc.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/blc/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - blc module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:16 $
#  Description  :  Makefile for blc module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing blc.pm ----------------
	$(TESTFILEPP) -m blc.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/blc.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/case/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - tolower and toupper module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:16 $
#  Description  :  Makefile for tolower module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing tolower.pm ------------
	$(TESTFILEPP) -m tolower.pm $(srcdir)/test.in -o testlower.out
	$(DIFF) $(srcdir)/testlower.good testlower.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing toupper.pm ------------
	$(TESTFILEPP) -m toupper.pm $(srcdir)/test.in -o testupper.out
	$(DIFF) $(srcdir)/testupper.good testupper.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/tolower.pm $(moduledir)
	$(INSTALL) -m 644 $(srcdir)/toupper.pm $(moduledir)

clean:
	$(RM) testlower.out testupper.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/cmacros/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - cmacros module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:17 $
#  Description  :  Makefile for cmacros module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing cmacros.pm -------------
	$(TESTFILEPP) -m cmacros.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/cmacros.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/comment/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - c-comment.pm and hash-comment.pm module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.3 $
#  Last changed :  $Date: 2003/07/14 10:03:17 $
#  Description  :  Makefile for c-comment.pm module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing c-comment.pm ----------
	$(TESTFILEPP) -m c-comment.pm $(srcdir)/test.in -o test-c.out
	$(DIFF) $(srcdir)/test-c.good test-c.out
	@$(ECHO) ----------- Done --------------------------
	@$(ECHO) ----------- Testing hash-comment.pm -------
	$(TESTFILEPP) -m hash-comment.pm $(srcdir)/test.in -o test-hash.out
	$(DIFF) $(srcdir)/test-hash.good test-hash.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/comment.pm $(moduledir)
	$(INSTALL) -m 644 $(srcdir)/c-comment.pm $(moduledir)
	$(INSTALL) -m 644 $(srcdir)/hash-comment.pm $(moduledir)

clean:
	$(RM) test-c.out test-hash.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/cpp/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - cpp module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:17 $
#  Description  :  Makefile for cpp module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing cpp.pm ----------------
	$(TESTFILEPP) -m cpp.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/cpp.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/defplus/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - defplus module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:18 $
#  Description  :  Makefile for defplus module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing defplus.pm ------------
	$(TESTFILEPP) -m defplus.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/defplus.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/for/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - for module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:18 $
#  Description  :  Makefile for for module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing for.pm ----------------
	$(TESTFILEPP) -m for.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/for.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/foreach/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - foreach module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:19 $
#  Description  :  Makefile for foreach module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing foreach.pm ------------
	$(TESTFILEPP) -m foreach.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/foreach.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

=== modules/format/Makefile ===
########################################################################
#
# filepp is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
########################################################################
########################################################################
#
#  Project      :  File Pre Processor - format module
#  Filename     :  $RCSfile: Makefile.in,v $
#  Originator   :  $Author: darren $
#  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
#  File version :  $Revision: 1.2 $
#  Last changed :  $Date: 2003/07/14 10:03:19 $
#  Description  :  Makefile for format module
#  Licence      :  GNU copyleft
#
########################################################################

##############################################################################
# Paths
##############################################################################
srcdir = .
moduledir = /usr/local/share/filepp/modules
# top level of test build directory
TESTBUILD = ../..//testbuild
TESTFILEPP = $(TESTBUILD)/bin/filepp
ECHO=echo
DIFF=diff
RM=rm -fr
INSTALL=/usr/bin/install -c

test:
	@$(ECHO) ----------- Testing format.pm -------------
	$(TESTFILEPP) -m format.pm $(srcdir)/test.in -o test.out
	$(DIFF) $(srcdir)/test.good test.out
	@$(ECHO) ----------- Done --------------------------

install:
	$(INSTALL) -m 644 $(srcdir)/format.pm $(moduledir)

clean:
	$(RM) test.out

distclean:
	$(RM) Makefile

##############################################################################
# End of file
##############################################################################

## filepp 1.8.0

=== tests/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ##############################################################################
 srcdir = .
 # top level of test build directory
-TESTBUILD = ..//testbuild
+TESTBUILD = ../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/bigdef/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.3 $
-#  Last changed :  $Date: 2003/07/14 10:03:15 $
+#  File version :  $Revision: 1.6 $
+#  Last changed :  $Date: 2007/02/16 20:34:07 $
 #  Description  :  Makefile for bigdef module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff
@@ -47,11 +48,26 @@
 	$(DIFF) $(srcdir)/test.good test.out
 	@$(ECHO) ----------- Done --------------------------
 
+	@$(ECHO) ----------- Testing bigdef.pm and for.pm -
+	$(TESTFILEPP) -m bigdef.pm -m for.pm $(srcdir)/test2.in -o test2.out
+	$(DIFF) $(srcdir)/test2.good test2.out
+	@$(ECHO) ----------- Done --------------------------
+
+	@$(ECHO) ----------- Testing bigdef.pm and comment.pm -
+	$(TESTFILEPP) $(srcdir)/test3.in -o test3.out
+	$(DIFF) $(srcdir)/test3.good test3.out
+	@$(ECHO) ----------- Done --------------------------
+
+	@$(ECHO) ----------- Testing bigdef.pm ------------
+	$(TESTFILEPP) -m bigdef.pm $(srcdir)/test4.in -o test4.out
+	$(DIFF) $(srcdir)/test4.good test4.out
+	@$(ECHO) ----------- Done --------------------------
+
 install:
 	$(INSTALL) -m 644 $(srcdir)/bigdef.pm $(moduledir)
 
 clean:
-	$(RM) test.out
+	$(RM) test.out test2.out test3.out test4.out
 
 distclean:
 	$(RM) Makefile

=== modules/bigfunc/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:16 $
+#  File version :  $Revision: 1.10 $
+#  Last changed :  $Date: 2007/02/16 20:33:03 $
 #  Description  :  Makefile for bigfunc module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff
@@ -47,11 +48,26 @@
 	$(DIFF) $(srcdir)/test.good test.out
 	@$(ECHO) ----------- Done --------------------------
 
+	@$(ECHO) ----------- Testing bigfunc.pm and for.pm -
+	$(TESTFILEPP) -m bigfunc.pm -m for.pm $(srcdir)/test2.in -o test2.out
+	$(DIFF) $(srcdir)/test2.good test2.out
+	@$(ECHO) ----------- Done --------------------------
+
+	@$(ECHO) ----------- Testing bigfunc.pm and comment.pm -
+	$(TESTFILEPP) $(srcdir)/test3.in -o test3.out
+	$(DIFF) $(srcdir)/test3.good test3.out
+	@$(ECHO) ----------- Done --------------------------
+
+	@$(ECHO) ----------- Testing bigfunc.pm ------------
+	$(TESTFILEPP) -m bigfunc.pm $(srcdir)/test4.in -o test4.out
+	$(DIFF) $(srcdir)/test4.good test4.out
+	@$(ECHO) ----------- Done --------------------------
+
 install:
 	$(INSTALL) -m 644 $(srcdir)/bigfunc.pm $(moduledir)
 
 clean:
-	$(RM) test.out
+	$(RM) test.out test2.out test3.out test4.out
 
 distclean:
 	$(RM) Makefile

=== modules/blc/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:16 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:03 $
 #  Description  :  Makefile for blc module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/case/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:16 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:06 $
 #  Description  :  Makefile for tolower module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/cmacros/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:17 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:07 $
 #  Description  :  Makefile for cmacros module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/comment/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.3 $
-#  Last changed :  $Date: 2003/07/14 10:03:17 $
+#  File version :  $Revision: 1.4 $
+#  Last changed :  $Date: 2007/02/13 00:08:08 $
 #  Description  :  Makefile for c-comment.pm module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/cpp/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:17 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:09 $
 #  Description  :  Makefile for cpp module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/defplus/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:18 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:09 $
 #  Description  :  Makefile for defplus module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/for/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:18 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:10 $
 #  Description  :  Makefile for for module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/foreach/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:19 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:10 $
 #  Description  :  Makefile for foreach module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== modules/format/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #  Filename     :  $RCSfile: Makefile.in,v $
 #  Originator   :  $Author: darren $
 #  Maintainer   :  Darren Miller: darren@cabaret.demon.co.uk
-#  File version :  $Revision: 1.2 $
-#  Last changed :  $Date: 2003/07/14 10:03:19 $
+#  File version :  $Revision: 1.3 $
+#  Last changed :  $Date: 2007/02/13 00:08:11 $
 #  Description  :  Makefile for format module
 #  Licence      :  GNU copyleft
 #
@@ -32,9 +32,10 @@
 # Paths
 ##############################################################################
 srcdir = .
+datarootdir = ${prefix}/share
 moduledir = /usr/local/share/filepp/modules
 # top level of test build directory
-TESTBUILD = ../..//testbuild
+TESTBUILD = ../../testbuild
 TESTFILEPP = $(TESTBUILD)/bin/filepp
 ECHO=echo
 DIFF=diff

=== debian/changelog ===
filepp (1.8.0-4) unstable; urgency=low

  Improvements by Jari Aalto <jari.aalto@cante.net>
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix debian-watch-contains-dh_make-template (Lintian).
  * Fix no-homepage-field (Lintian).
  * Fx extended-description-is-probably-too-short (Lintian).

 -- Christoph Haas <haas@debian.org>  Sat, 28 Apr 2012 09:04:03 +0300

filepp (1.8.0-3) unstable; urgency=low

  * Fixing minor lintian warnings.

 -- Christoph Haas <haas@debian.org>  Thu, 18 Sep 2008 22:45:15 +0200

filepp (1.8.0-2) unstable; urgency=low

  * Fixed version information in rules file from 1.7.1 to 1.8.0.
    (Closes: #449436)

 -- Christoph Haas <haas@debian.org>  Mon, 05 Nov 2007 21:17:47 +0100

filepp (1.8.0-1) unstable; urgency=low

  * New upstream release
  * Changes build-depends-indep to build-depends-dep

 -- Christoph Haas <haas@debian.org>  Tue, 24 Apr 2007 21:55:59 +0200

filepp (1.7.1-9) unstable; urgency=low

  * Accidentally pulled an old debian/control file and put
    the package into "interpreters" instead of "text". Fixed.

 -- Christoph Haas <haas@debian.org>  Thu, 26 Jan 2006 00:53:43 +0100

filepp (1.7.1-8) unstable; urgency=low

  * Fixed a typo in the man page. (Closes: #349895)

 -- Christoph Haas <haas@debian.org>  Thu, 26 Jan 2006 00:09:54 +0100

filepp (1.7.1-7) unstable; urgency=low

  * Changed the section from 'interpreters' to 'text'.

 -- Christoph Haas <haas@debian.org>  Mon, 25 Apr 2005 23:37:36 +0200

filepp (1.7.1-6) unstable; urgency=low

  * Simplified the 'rm' in the clean target.

 -- Christoph Haas <email@christoph-haas.de>  Fri, 29 Oct 2004 22:21:00 +0200

filepp (1.7.1-5) unstable; urgency=low

  * Simplified the 'clean' target in the debian/rules to no longer use
    the bloated 'configure' + 'make distclean' calls.
  * Used ${CURDIR} instead of `pwd` in the debian/rules.

 -- Christoph Haas <email@christoph-haas.de>  Fri, 29 Oct 2004 20:15:20 +0200

filepp (1.7.1-4) unstable; urgency=low

  * Removed architecture-dependant parts from the debian/rules file. 
  * No longer running the configure script. The simple variable
    substitution is now done in the debian/rules file using 'sed'.

 -- Christoph Haas <email@christoph-haas.de>  Mon, 25 Oct 2004 22:42:22 +0200

filepp (1.7.1-3) unstable; urgency=low

  * Changed the 'Architecture:' to 'all' as this package contains
    no compiled parts.
  * Example files are now installed.

 -- Christoph Haas <email@christoph-haas.de>  Mon, 25 Oct 2004 21:04:49 +0200

filepp (1.7.1-2) unstable; urgency=low

  * The API modules were installed in subdirectories
    /usr/share/filepp/$modulename instead of just /usr/share/filepp.

 -- Christoph Haas <email@christoph-haas.de>  Thu, 13 May 2004 10:04:07 +0200

filepp (1.7.1-1) unstable; urgency=low

  * Initial Release (closes: #248729).

 -- Christoph Haas <email@christoph-haas.de>  Wed, 12 May 2004 17:03:09 +0200

=== debian/control ===
Source: filepp
Section: text
Priority: optional
Maintainer: Christoph Haas <haas@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://freecode.com/projects/filepp

Package: filepp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic perl-based file pre-processor for text files
 Generic pre-preprocessor for any kind of text file. It is designed
 to allow the functionality provided by the C preprocessor to be used
 with any file type. filepp supports the following keywords, all of
 which have their usual C preprocessor meanings and usage: define,
 if, elif, ifdef, ifndef etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Rules file for filepp based on the rules template by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = filepp
TMP = ${CURDIR}/debian/$(PACKAGE)

build-arch: build
build-indep: build

build: build-stamp

build-stamp:
	dh_testdir

	# Substitute variables in the filepp.in file.
	# The "configure" script does not actually do much more than
	# that so I'll do those simple steps right here.
	# (Upstream is informed about the bloatetness of his approach.)
	sed -e 's/@VERSION@/1.8.0/' \
	    -e 's/@moduledir@/\/usr\/share\/filepp/' \
			-e 's/@PERL@/\/usr\/bin\/perl/' \
			< filepp.in > filepp
	chmod u+x filepp

	# Generate the man page
	./filepp -DHIDDEN -I. ./filepp.1.in -o filepp.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# clean up after the build process
	# (I do not use the configure / make distclean here
	# because it is too bloated and I hope the upstream will
	# provide a plain Makefile with the next release.)
	rm -f filepp.1 filepp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/filepp.
	#
	# The Makefile has problems with the modules directory. Either
	# the files are copied correctly for the package and can't be
	# found later or they are correctly packaged but later point
	# to the wrong directory.
	# So let's to the installation without "make install"
	#$(MAKE) install prefix=$(CURDIR)/debian/filepp/usr

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_compress -X examples/filepp.1.in
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# nothing to do for binary-arch
binary-arch:

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.cabaret.demon.co.uk/filepp/ filepp-([\d\.]+)\.tar\.gz
